Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026589
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2014-05-19 11:192015-05-12 11:17
ReporterOrekariaView Statuspublic 
Assigned ToOrekaria 
PrioritynormalResolutionduplicateFixed in VersionRR15Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026589: Stabilization: When the backend generates a new uuid.js, chrome does not update/delete the Web SQL database

DescriptionWhen the backend generates a new uuid.js, chrome does not update/delete the Web SQL database
Steps To ReproduceOpen the WebPOS

1. In the console, look for the client javascript file e,g: http://localhost:8080/openbravo/web/js/gen/45436561cf4d0380b1d61fba0439fa53WebPOS.js [^]
2. Perform a change to any .js in a module that has already been set as 'in development'
3. refresh the client
4. check that the javascript file has changed

Proposed SolutionMaybe...

in the backend, warn the client to only update when all the clients have commited their operations (sells, cashups, etc). This is how it should be right now, no change here.

- detect when the generated javascript has changed
- then detect if there are pending commits (orderloader, cashup, etc), warn the user that this will be lost and that he/she will have to obbey the backend warning
- then delete the chrome Web SQL database
- then create the new Web SQL database
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0027216 newmarvintm Stabilization: Web POS should not login if the database is not consistent or a table is empty 
related to design defect 0027228 newmarvintm Stabilization: Web POS should validate that models have been imported properly to Web POS 
related to defect 0027413 newRetail Stabilization: It should never ever be necessary to clear cache. 
blocks feature request 0027329 newRetail Stabilization: Overhaul the loading process (since the url is entered until the webpos has loaded) 

-  Notes
(0069665)
Orekaria (administrator)
2014-08-24 06:58

If the manifest is sent with a 404 code, the manifest is invalidated
(0077332)
marvintm (developer)
2015-05-12 11:17

This has been fixed as part of the local database update refactor.

- Issue History
Date Modified Username Field Change
2014-05-19 11:19 Orekaria New Issue
2014-05-19 11:19 Orekaria Assigned To => Orekaria
2014-05-19 11:19 Orekaria Triggers an Emergency Pack => No
2014-08-17 18:08 Orekaria Relationship added blocks 0027329
2014-08-18 15:04 Orekaria Proposed Solution updated
2014-08-18 15:05 Orekaria Relationship added related to 0027216
2014-08-18 15:05 Orekaria Relationship added related to 0027228
2014-08-18 15:10 Orekaria Relationship replaced depends on 0027329
2014-08-22 09:29 Orekaria Relationship added related to 0027414
2014-08-22 09:30 Orekaria Relationship added related to 0027413
2014-08-22 09:31 Orekaria Summary When the backend generates a new uuid.js, chrome does not update/delete the Web SQL database => Stabilization: When the backend generates a new uuid.js, chrome does not update/delete the Web SQL database
2014-08-22 09:51 Orekaria Relationship replaced blocks 0027329
2014-08-24 06:58 Orekaria Note Added: 0069665
2015-05-12 11:17 marvintm Review Assigned To => marvintm
2015-05-12 11:17 marvintm Note Added: 0077332
2015-05-12 11:17 marvintm Status new => closed
2015-05-12 11:17 marvintm Resolution open => duplicate
2015-05-12 11:17 marvintm Fixed in Version => RR15Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker